## libksysguard 5.14.5.1+rb2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(libksysguard)
set(PROJECT_VERSION "5.14.5")
set(PROJECT_VERSION_MAJOR 5)

# check with non-Plasma consumers (e.g. KDevelop) before bumping these versions
set(QT_MIN_VERSION "5.5.0")
set(KF5_MIN_VERSION "5.30.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddTests)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)

include(CMakePackageConfigHelpers)
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS DBus Network Widgets)
find_package(Qt5WebKitWidgets ${QT_MIN_VERSION} CONFIG)
set_package_properties(Qt5WebKitWidgets PROPERTIES
                       URL "git://gitorious.org/qt/qtwebkit.git"
                       DESCRIPTION "Qt Webkit module (web browsing engine)"
                       TYPE OPTIONAL
                       PURPOSE "Used by the HTML-based GUI ksysguard library"
                      )

find_package(KF5 REQUIRED COMPONENTS CoreAddons Config I18n WindowSystem Completion Auth WidgetsAddons IconThemes ConfigWidgets Service GlobalAccel KIO)
find_package(KF5 OPTIONAL_COMPONENTS Plasma)
set_package_properties(KF5Plasma PROPERTIES
                       URL "https://cgit.kde.org/plasma-framework.git/"
                       DESCRIPTION "The library of the plasma project"
                       TYPE OPTIONAL
                       PURPOSE "Used by signalplotter to use Plasma themes"
                      )

find_package(ZLIB REQUIRED)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "http://www.zlib.net"
                       TYPE REQUIRED
                      )

check_library_exists(c clock_gettime "time.h" HAVE_CLOCK_GETTIME_C)

ecm_setup_version(${PROJECT_VERSION}
                  VARIABLE_PREFIX KSYSGUARD
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ksysguard_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5SysGuardConfigVersion.cmake"
                  SOVERSION 7
)

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "http://www.x.org"
                        TYPE OPTIONAL
                        PURPOSE "Required for building the X11 based workspace"
                    )
if(X11_FOUND)
    find_package(Qt5X11Extras REQUIRED)
    find_library(X11_XRes_LIB XRes ${X11_LIB_SEARCH_PATH})
    find_path(X11_XRes_INCLUDE_PATH X11/extensions/XRes.h ${X11_INC_SEARCH_PATH})

    if(X11_XRes_LIB AND X11_XRes_INCLUDE_PATH)
        set(X11_XRes_FOUND TRUE)
    endif()
endif()

set(HAVE_X11 ${X11_FOUND})
set(HAVE_XRES ${X11_XRes_FOUND})
set(HAVE_QTWEBKITWIDGETS ${Qt5WebKitWidgets_FOUND})
configure_file(config-ksysguard.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ksysguard.h )

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)

add_subdirectory( lsofui )
add_subdirectory( processcore )
add_subdirectory( processui )
if (KF5Plasma_FOUND)
    add_subdirectory( signalplotter )
endif()
add_subdirectory( ksgrd )

if(BUILD_TESTING)
    add_subdirectory( tests )
endif()

install(DIRECTORY scripts/ DESTINATION ${KDE_INSTALL_DATADIR}/ksysguard/scripts)

set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_LIBDIR}/cmake/KF5SysGuard)
configure_package_config_file(KF5SysGuardConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/KF5SysGuardConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(FILES
		${CMAKE_CURRENT_BINARY_DIR}/KF5SysGuardConfig.cmake
		${CMAKE_CURRENT_BINARY_DIR}/KF5SysGuardConfigVersion.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(EXPORT libksysguardLibraryTargets
        NAMESPACE KF5::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE KF5SysGuardLibraryTargets.cmake )

install(FILES libksysguard.categories DESTINATION ${KDE_INSTALL_CONFDIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== lsofui/CMakeLists.txt ===

########### next target ###############

set(lsofui_LIB_SRCS
   lsof.cpp
)

ki18n_wrap_ui( lsofui_LIB_SRCS
   LsofSearchWidget.ui 
)

add_library(lsofui ${lsofui_LIB_SRCS})
add_library(KF5::LsofUi ALIAS lsofui)

target_link_libraries(lsofui
    PUBLIC
        Qt5::Widgets
    PRIVATE
        KF5::I18n
)
set_target_properties(lsofui PROPERTIES VERSION ${KSYSGUARD_VERSION_STRING} SOVERSION ${KSYSGUARD_SOVERSION} EXPORT_NAME LsofUi)
install(TARGETS lsofui EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES lsof.h DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard COMPONENT Devel)

# set(ksysguardlsofwidgets_PART_SRCS
#    ${CMAKE_CURRENT_BINARY_DIR}/ksysguardlsofwidgets.cpp
# )
#
# kde4_add_widget_files(ksysguardlsofwidgets_PART_SRCS ksysguardlsof.widgets)
#
# add_library(ksysguardlsofwidgets MODULE ${ksysguardlsofwidgets_PART_SRCS})
#
# target_link_libraries(ksysguardlsofwidgets lsofui)
#
# install(TARGETS ksysguardlsofwidgets DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )

=== processui/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"processui\")

check_include_files(sys/endian.h HAVE_SYS_ENDIAN_H)
check_include_files(byteswap.h HAVE_BYTESWAP_H)

set(ksysguard_WIDGETS "ksysguard.widgets")

set(processui_LIB_SRCS
   ksysguardprocesslist.cpp
   ProcessFilter.cpp
   ProcessModel.cpp
   ReniceDlg.cpp
   KTextEditVT.cpp
   scripting.cpp
)

ecm_qt_declare_logging_category(processui_LIB_SRCS HEADER processui_debug.h IDENTIFIER LIBKSYSGUARD_PROCESSUI CATEGORY_NAME org.kde.libksysguard.processui)


ki18n_wrap_ui( processui_LIB_SRCS
   ReniceDlgUi.ui
   ProcessWidgetUI.ui
)

add_library(processui ${processui_LIB_SRCS})
add_library(KF5::ProcessUi ALIAS processui)

if(X11_XRes_FOUND)
    target_link_libraries(processui PRIVATE ${X11_XRes_LIB} ${X11_LIBRARIES})
    include_directories(${X11_XRes_INCLUDE_PATH})
endif()

target_link_libraries(processui
    PUBLIC
        KF5::ProcessCore
        Qt5::Widgets
        KF5::ConfigCore
    PRIVATE
        Qt5::DBus
        KF5::I18n
        KF5::WindowSystem
        KF5::Auth
        KF5::Completion
        KF5::ConfigWidgets
        KF5::WidgetsAddons
        KF5::IconThemes
        KF5::GlobalAccel
        KF5::Service
        KF5::KIOWidgets
)
target_include_directories(processui
    PUBLIC
        "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard>"
)

if(X11_FOUND)
    target_link_libraries(processui PRIVATE Qt5::X11Extras KF5::WindowSystem)
endif()

if(Qt5WebKitWidgets_FOUND)
    target_link_libraries(processui PRIVATE Qt5::WebKitWidgets)
endif()

if(NOT HAVE_CLOCK_GETTIME_C)
    target_link_libraries(processui PRIVATE rt)
endif()

set_target_properties(processui
   PROPERTIES VERSION ${KSYSGUARD_VERSION_STRING}
   SOVERSION ${KSYSGUARD_SOVERSION}
   EXPORT_NAME ProcessUi
)

install(TARGETS processui EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

#----------------------

# kde4_add_widget_files(ksysguardwidgets_PART_SRCS ${ksysguard_WIDGETS})
#
# add_library(ksysguardwidgets MODULE ${ksysguardwidgets_PART_SRCS})
#
# target_link_libraries(ksysguardwidgets ${KDE4_KDEUI_LIBS} processui)
#
# install(TARGETS ksysguardwidgets DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )

install( FILES
    ProcessModel.h
    ProcessFilter.h
    KTextEditVT.h
    ksysguardprocesslist.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/processui
    COMPONENT Devel
)

=== debian/changelog ===
libksysguard (4:5.14.5.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 22 Feb 2021 17:19:30 +0800

## libksysguard 5.15.4

=== debian/changelog ===
libksysguard (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:10:10 +0100

libksysguard (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:09:34 +0000

libksysguard (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:14:24 +0000

libksysguard (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:34:06 +0000

libksysguard (4:5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:53:41 +0000

libksysguard (4:5.14.90-0ubuntu1) disco; urgency=medium

  * Upstream ported from Qt5WebKit to Qt5WebEngine, so update build
    depends accordingly.
  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:24:54 +0000

libksysguard (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:48:34 +0000

libksysguard (4:5.14.4-0ubuntu1) disco; urgency=medium

  * debian/control: New build deps from upstream cmake
  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:15:37 +0000

=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               libkf5auth-dev (>= 5.54.0~),
               libkf5completion-dev (>= 5.54.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5configwidgets-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5globalaccel-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5iconthemes-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5plasma-dev (>= 5.54.0~),
               libkf5service-dev (>= 5.54.0~),
               libkf5widgetsaddons-dev (>= 5.54.0~),
               libkf5windowsystem-dev (>= 5.54.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               libz-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
               qtwebengine5-dev [amd64 arm64 armhf i386],
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/libksysguard
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard

Package: libkf5sysguard-bin
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5sysguard5 (<< 4:5.4.2)
Replaces: libkf5sysguard5 (<< 4:5.4.2)
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libkf5sysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ksysguard (<< 4:5.0.0),
        libkf5sysguard-bin (<< 4:5.0.95),
        libkf5sysguard5-data (<< 4:5.2.0),
        ${kde-l10n:all},
Replaces: ksysguard (<< 4:5.0.0),
          libkf5sysguard-bin (<< 4:5.0.95),
          libkf5sysguard5-data (<< 4:5.2.0),
          ${kde-l10n:all},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libkf5sysguard-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.54.0~),
         libkf5i18n-dev (>= 5.54.0~),
         libkf5sysguard-bin (= ${binary:Version}),
         libksgrd7 (= ${binary:Version}),
         libksignalplotter7 (= ${binary:Version}),
         liblsofui7 (= ${binary:Version}),
         libprocesscore7 (= ${binary:Version}),
         libprocessui7 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
Breaks: kde-workspace-dev
Replaces: kde-workspace-dev
Conflicts: kde-workspace-dev
Description: library for monitoring your system - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libkf5sysguard5
Priority: optional
Section: oldlibs
Architecture: all
Depends: libkf5sysguard-bin (>= ${source:Version}), ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libkf5sysguard5-data
Section: oldlibs
Priority: optional
Architecture: all
Depends: libkf5sysguard-data (>= ${source:Version}), ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libksgrd7
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libksignalplotter7
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-bin (= ${binary:Version}),
         libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: liblsofui7
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libprocesscore7
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libprocessui7
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

## libksysguard 5.16.5

=== debian/changelog ===
libksysguard (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:24:48 +0100

libksysguard (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:45:35 +0100

libksysguard (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:22:53 +0100

libksysguard (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:23:53 +0100

libksysguard (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:24:30 +0100

libksysguard (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:36:32 +0100

libksysguard (4:5.15.90-0ubuntu2) eoan; urgency=medium

  * Move dbus policy file to new location.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 19:02:12 +0100

libksysguard (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:49:40 +0100

libksysguard (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:48:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               libkf5auth-dev (>= 5.54.0~),
-               libkf5completion-dev (>= 5.54.0~),
-               libkf5config-dev (>= 5.54.0~),
-               libkf5configwidgets-dev (>= 5.54.0~),
-               libkf5coreaddons-dev (>= 5.54.0~),
-               libkf5globalaccel-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5iconthemes-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
-               libkf5plasma-dev (>= 5.54.0~),
-               libkf5service-dev (>= 5.54.0~),
-               libkf5widgetsaddons-dev (>= 5.54.0~),
-               libkf5windowsystem-dev (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
+               libkf5auth-dev (>= 5.58.0~),
+               libkf5completion-dev (>= 5.58.0~),
+               libkf5config-dev (>= 5.58.0~),
+               libkf5configwidgets-dev (>= 5.58.0~),
+               libkf5coreaddons-dev (>= 5.58.0~),
+               libkf5globalaccel-dev (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5iconthemes-dev (>= 5.58.0~),
+               libkf5kio-dev (>= 5.58.0~),
+               libkf5plasma-dev (>= 5.58.0~),
+               libkf5service-dev (>= 5.58.0~),
+               libkf5widgetsaddons-dev (>= 5.58.0~),
+               libkf5windowsystem-dev (>= 5.58.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libz-dev,
@@ -69,8 +69,8 @@
 Package: libkf5sysguard-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5config-dev (>= 5.54.0~),
-         libkf5i18n-dev (>= 5.54.0~),
+Depends: libkf5config-dev (>= 5.58.0~),
+         libkf5i18n-dev (>= 5.58.0~),
          libkf5sysguard-bin (= ${binary:Version}),
          libksgrd7 (= ${binary:Version}),
          libksignalplotter7 (= ${binary:Version}),

## libksysguard 5.17.5

=== debian/changelog ===
libksysguard (4:5.17.5-2+rpi1) bullseye-staging; urgency=medium

  * Remove armhf from qtwebengine architecture list.

 -- Peter Michael Green <plugwash@raspbian.org>  Mon, 17 Feb 2020 22:43:59 +0000

libksysguard (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 20:44:54 +0100

libksysguard (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake
  * Drop the transitional package libkf5sysguard5 (Closes: 940750)
  * Drop the transitional package libkf5sysguard5-data (Closes: 940741)

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - remove libqt5webkit5-dev
    - add libqt5webchannel5-dev, libxres-dev, and qtwebengine5-dev
    - explicitly add gettext
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Remove breaks/replaces for versions older than oldstable.
  * Drop the migration from libkf5sysguard-dbg, no more needed after two
    Debian stable releases.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages. (Closes: #915613, #915616)
  * Update install files.
  * Unregister old conffiles.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Update symbols files.
  * Do not use the ${shlibs:Depends} substvar in libkf5sysguard-data, as it
    does not exist.
  * Update lintian overrides.
  * Enable all the reprotest variations in the salsa CI.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Jan 2020 13:38:57 +0100

=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.58.0~),
               gettext,
               libkf5auth-dev,
               libkf5completion-dev,
               libkf5config-dev (>= 5.2.0),
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5globalaccel-dev,
               libkf5i18n-dev (>= 5.2.0),
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5plasma-dev (>= 5.2.0),
               libkf5service-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libqt5webchannel5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.4),
               libx11-dev,
               libxres-dev,
               libz-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.5.0~),
               qtscript5-dev (>= 5.4),
               qtwebengine5-dev (>= 5.5.0~) [amd64 arm64 i386 mipsel],
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/kde/workspace/libksysguard
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksysguard
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksysguard.git

Package: libkf5sysguard-bin
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libkf5sysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libkf5sysguard-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev,
         libkf5i18n-dev,
         libkf5sysguard-bin (= ${binary:Version}),
         libksgrd7 (= ${binary:Version}),
         libksignalplotter7 (= ${binary:Version}),
         liblsofui7 (= ${binary:Version}),
         libprocesscore7 (= ${binary:Version}),
         libprocessui7 (= ${binary:Version}),
         qtbase5-dev (>= 5.5.0~),
         ${misc:Depends},
Breaks: kde-workspace-dev, plasma-workspace-dev (<< 4:5.14)
Replaces: kde-workspace-dev
Conflicts: kde-workspace-dev
Description: library for monitoring your system - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libksgrd7
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library
Breaks: ksysguard (<< 4:5.14), plasma-workspace (<< 4:5.14)

Package: libksignalplotter7
Architecture: any
Depends: libkf5sysguard-bin (= ${binary:Version}),
         libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library
Breaks: ksysguard (<< 4:5.14)

Package: liblsofui7
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libprocesscore7
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library
Breaks: ksysguard (<< 4:5.14),
        liblegacytaskmanager5 (<< 4:5.7),
        libtaskmanager6 (<< 4:5.14),
        plasma-vault (<< 5.14),
        plasma-workspace (<< 4:5.14),

Package: libprocessui7
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library
Breaks: ksysguard (<< 4:5.14), plasma-workspace (<< 4:5.14)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## libksysguard 5.18.3

=== debian/changelog ===
libksysguard (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:08:26 +0000

libksysguard (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:30:36 +0000

libksysguard (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:37:25 +0000

libksysguard (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:44:45 +0000

libksysguard (4:5.17.90-0ubuntu2) focal; urgency=medium

  * debian/tests: Follow debian in dropping the testsuite.

 -- Rik Mills <rikmills@kde.org>  Sun, 19 Jan 2020 12:35:41 +0000

libksysguard (4:5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:08:41 +0000

libksysguard (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:45:16 +0000

libksysguard (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)
  * Explicit build depend on libqt5webchannel5-dev

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:24:33 +0000

libksysguard (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:05:19 +0000

libksysguard (4:5.17.2-0ubuntu1) focal; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream (beta) release (5.16.90)
  * Update symbols from build logs.
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:50:34 +0000

## libksysguard 5.18.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,20 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(libksysguard)
-set(PROJECT_VERSION "5.14.5")
+set(PROJECT_VERSION "5.18.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 # check with non-Plasma consumers (e.g. KDevelop) before bumping these versions
-set(QT_MIN_VERSION "5.5.0")
-set(KF5_MIN_VERSION "5.30.0")
+set(QT_MIN_VERSION "5.12.0")
+set(KF5_MIN_VERSION "5.66.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEClangFormat)
 
 include(ECMAddTests)
 include(ECMInstallIcons)
@@ -26,10 +27,17 @@
 include(FeatureSummary)
 
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS DBus Network Widgets)
-find_package(Qt5WebKitWidgets ${QT_MIN_VERSION} CONFIG)
-set_package_properties(Qt5WebKitWidgets PROPERTIES
-                       URL "git://gitorious.org/qt/qtwebkit.git"
-                       DESCRIPTION "Qt Webkit module (web browsing engine)"
+find_package(Qt5WebEngineWidgets ${QT_MIN_VERSION} CONFIG)
+set_package_properties(Qt5WebEngineWidgets PROPERTIES
+                       URL "git://code.qt.org/qt/qtwebenginewidgets.git"
+                       DESCRIPTION "Qt WebEngine module (web browsing engine)"
+                       TYPE OPTIONAL
+                       PURPOSE "Used by the HTML-based GUI ksysguard library"
+                      )
+find_package(Qt5WebChannel ${QT_MIN_VERSION} CONFIG)
+set_package_properties(Qt5WebChannel PROPERTIES
+                       URL "git://code.qt.org/qt/qtwebchannel.git"
+                       DESCRIPTION "Qt WebChannel module"
                        TYPE OPTIONAL
                        PURPOSE "Used by the HTML-based GUI ksysguard library"
                       )
@@ -60,7 +68,7 @@
 
 find_package(X11)
 set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
-                        URL "http://www.x.org"
+                        URL "https://www.x.org"
                         TYPE OPTIONAL
                         PURPOSE "Required for building the X11 based workspace"
                     )
@@ -74,9 +82,14 @@
     endif()
 endif()
 
+set(WEBENGINE_SCRIPTING_ENABLED FALSE)
+if(Qt5WebEngineWidgets_FOUND AND Qt5WebChannel_FOUND)
+    set(WEBENGINE_SCRIPTING_ENABLED TRUE)
+endif()
+add_feature_info("Scripting plugin support" WEBENGINE_SCRIPTING_ENABLED "Support scripting plugins using WebEngine and WebChannel")
+
 set(HAVE_X11 ${X11_FOUND})
 set(HAVE_XRES ${X11_XRes_FOUND})
-set(HAVE_QTWEBKITWIDGETS ${Qt5WebKitWidgets_FOUND})
 configure_file(config-ksysguard.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ksysguard.h )
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
@@ -84,7 +97,12 @@
 add_definitions(-DQT_NO_CAST_FROM_ASCII)
 add_definitions(-DQT_NO_CAST_TO_ASCII)
 add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
-#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+    add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
+endif()
+
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
 add_subdirectory( lsofui )
 add_subdirectory( processcore )
@@ -97,6 +115,10 @@
 if(BUILD_TESTING)
     add_subdirectory( tests )
 endif()
+
+# add clang-format target for all our real source files
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 install(DIRECTORY scripts/ DESTINATION ${KDE_INSTALL_DATADIR}/ksysguard/scripts)
 
@@ -115,7 +137,7 @@
         DESTINATION ${CMAKECONFIG_INSTALL_DIR}
         FILE KF5SysGuardLibraryTargets.cmake )
 
-install(FILES libksysguard.categories DESTINATION ${KDE_INSTALL_CONFDIR})
+install(FILES libksysguard.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== ksgrd/CMakeLists.txt ===



########### next target ###############

set(ksgrd_LIB_SRCS
   SensorAgent.cpp
   SensorManager.cpp
   SensorShellAgent.cpp
   SensorSocketAgent.cpp
)

ecm_qt_declare_logging_category(ksgrd_LIB_SRCS HEADER ksgrd_debug.h IDENTIFIER LIBKSYSGUARD_KSGRD CATEGORY_NAME org.kde.libksysguard.ksgrd)
add_definitions(-DTRANSLATION_DOMAIN=\"ksgrd\")

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)

add_library(ksgrd ${ksgrd_LIB_SRCS})
add_library(KF5::SysGuard ALIAS ksgrd)
target_include_directories(ksgrd
    PUBLIC
        "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard/>"
)

target_link_libraries(ksgrd
    PUBLIC
        Qt5::Core
        Qt5::Widgets # QWidget in SensorManager.h
        Qt5::Network # QTcpSocket in SensorSocketAgent.h
        KF5::ConfigCore # KConfigGroup in SensorManager.h
    PRIVATE
        KF5::I18n
        KF5::CoreAddons
        KF5::ConfigWidgets
        KF5::ProcessCore
)

set_target_properties(ksgrd PROPERTIES VERSION ${KSYSGUARD_VERSION_STRING} SOVERSION ${KSYSGUARD_SOVERSION} EXPORT_NAME SysGuard)
install(TARGETS ksgrd EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES
    SensorAgent.h
    SensorClient.h
    SensorManager.h
    SensorShellAgent.h
    SensorSocketAgent.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/ksgrd
    COMPONENT Devel
)

=== processcore/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"processcore\")

########### next target ###############

set(ksysguard_LIB_SRCS
   extended_process_list.cpp
   formatter.cpp
   processes.cpp
   process.cpp
   process_attribute.cpp
   processes_local_p.cpp
   processes_remote_p.cpp
   processes_base_p.cpp
   processes_atop_p.cpp
   process_controller.cpp
   process_data_provider.cpp
   unit.cpp
)
ecm_qt_declare_logging_category(ksysguard_LIB_SRCS HEADER processcore_debug.h IDENTIFIER LIBKSYSGUARD_PROCESSCORE CATEGORY_NAME org.kde.libksysguard.processcore)

add_library(processcore ${ksysguard_LIB_SRCS})
add_library(KF5::ProcessCore ALIAS processcore)

target_link_libraries(processcore
   PUBLIC
    Qt5::Core
   PRIVATE
    KF5::I18n
    KF5::AuthCore
    KF5::CoreAddons
    ${ZLIB_LIBRARIES}
)

if( ${CMAKE_SYSTEM_NAME} MATCHES "NetBSD" )
  message(STATUS "Adding kvm library on NetBSD")
  target_link_libraries(processcore kvm)
endif()

if(NOT HAVE_CLOCK_GETTIME_C)
    target_link_libraries(processcore PRIVATE rt)
endif()

target_include_directories(processcore
    PUBLIC
        "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard>"
)
set_target_properties(processcore PROPERTIES VERSION ${KSYSGUARD_VERSION_STRING} SOVERSION ${KSYSGUARD_SOVERSION} EXPORT_NAME ProcessCore)
install(TARGETS processcore EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES
    processes.h
    process.h
    process_controller.h
    process_attribute.h
    process_data_provider.h
    formatter.h
    unit.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/processcore
    COMPONENT Devel
)

#------ KAuth stuff

# Auth example helper
set(ksysguardprocesslist_helper_srcs
    helper.cpp
    process.cpp
    processes_local_p.cpp
    processes_base_p.cpp)

add_executable(ksysguardprocesslist_helper ${ksysguardprocesslist_helper_srcs})
target_link_libraries(ksysguardprocesslist_helper Qt5::Core KF5::AuthCore KF5::I18n)
install(TARGETS ksysguardprocesslist_helper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

kauth_install_helper_files(ksysguardprocesslist_helper org.kde.ksysguard.processlisthelper root)
kauth_install_actions(org.kde.ksysguard.processlisthelper actions.actions)

set_target_properties(ksysguardprocesslist_helper PROPERTIES COMPILE_FLAGS "-Wall -ggdb")

=== processui/CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,7 @@
         Qt5::DBus
         KF5::I18n
         KF5::WindowSystem
-        KF5::Auth
+        KF5::AuthCore
         KF5::Completion
         KF5::ConfigWidgets
         KF5::WidgetsAddons
@@ -58,8 +58,8 @@
     target_link_libraries(processui PRIVATE Qt5::X11Extras KF5::WindowSystem)
 endif()
 
-if(Qt5WebKitWidgets_FOUND)
-    target_link_libraries(processui PRIVATE Qt5::WebKitWidgets)
+if(WEBENGINE_SCRIPTING_ENABLED)
+    target_link_libraries(processui PRIVATE Qt5::WebEngineWidgets Qt5::WebChannel)
 endif()
 
 if(NOT HAVE_CLOCK_GETTIME_C)

=== debian/changelog ===
libksysguard (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:47:00 +0100

=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.66.0~),
               libkf5auth-dev (>= 5.66.0~),
               libkf5completion-dev (>= 5.66.0~),
               libkf5config-dev (>= 5.66.0~),
               libkf5configwidgets-dev (>= 5.66.0~),
               libkf5coreaddons-dev (>= 5.66.0~),
               libkf5globalaccel-dev (>= 5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               libkf5iconthemes-dev (>= 5.66.0~),
               libkf5kio-dev (>= 5.66.0~),
               libkf5plasma-dev (>= 5.66.0~),
               libkf5service-dev (>= 5.66.0~),
               libkf5widgetsaddons-dev (>= 5.66.0~),
               libkf5windowsystem-dev (>= 5.66.0~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               libz-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
               qtwebengine5-dev [amd64 arm64 armhf i386],
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/libksysguard
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard

Package: libkf5sysguard-bin
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5sysguard5 (<< 4:5.4.2)
Replaces: libkf5sysguard5 (<< 4:5.4.2)
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libkf5sysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ksysguard (<< 4:5.0.0),
        libkf5sysguard-bin (<< 4:5.0.95),
        libkf5sysguard5-data (<< 4:5.2.0),
        ${kde-l10n:all},
Replaces: ksysguard (<< 4:5.0.0),
          libkf5sysguard-bin (<< 4:5.0.95),
          libkf5sysguard5-data (<< 4:5.2.0),
          ${kde-l10n:all},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libkf5sysguard-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.66.0~),
         libkf5i18n-dev (>= 5.66.0~),
         libkf5sysguard-bin (= ${binary:Version}),
         libksgrd7 (= ${binary:Version}),
         libksignalplotter7 (= ${binary:Version}),
         liblsofui7 (= ${binary:Version}),
         libprocesscore7 (= ${binary:Version}),
         libprocessui7 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
Breaks: kde-workspace-dev
Replaces: kde-workspace-dev
Conflicts: kde-workspace-dev
Description: library for monitoring your system - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libkf5sysguard5
Priority: optional
Section: oldlibs
Architecture: all
Depends: libkf5sysguard-bin (>= ${source:Version}), ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libkf5sysguard5-data
Section: oldlibs
Priority: optional
Architecture: all
Depends: libkf5sysguard-data (>= ${source:Version}), ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libksgrd7
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libksignalplotter7
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-bin (= ${binary:Version}),
         libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: liblsofui7
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libprocesscore7
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libprocessui7
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library
